2 Replies Latest reply on Nov 24, 2011 6:43 AM by jaikiran pai

    7.1.0.Beta1: JBREM000200: Remote connection failed

    u j Novice

      On deploying a war which works on 7.0.2, I get hundreds of erros like:

       

      15:46:23,706 ERROR [org.jboss.remoting.remote] (Remoting "xxx:MANAGEMENT" read-1) JBREM000200: Remote connection failed: java.io.IOException: JBREM000201: Received invalid message on Remoting connection 351775bc to /127.0.0.1:13405

       

      I read a discussion and saw this page:

      https://github.com/jaikiran/quickstart/blob/master/ejb-remote/client/pom.xml

       

      But I don't have any explicite dependency on jboss-remoting or jboss-sasl.

       

      My dependencies are (effective pom from Eclipse):

       

      <dependencies>
        <dependency>
      <groupId>org.richfaces.core</groupId>
      <artifactId>richfaces-core-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.core</groupId>
      <artifactId>richfaces-core-impl</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.common</groupId>
      <artifactId>richfaces-ui-common-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.common</groupId>
      <artifactId>richfaces-ui-common-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.core</groupId>
      <artifactId>richfaces-ui-core-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.core</groupId>
      <artifactId>richfaces-ui-core-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.iteration</groupId>
      <artifactId>richfaces-ui-iteration-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.iteration</groupId>
      <artifactId>richfaces-ui-iteration-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.output</groupId>
      <artifactId>richfaces-ui-output-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.output</groupId>
      <artifactId>richfaces-ui-output-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.misc</groupId>
      <artifactId>richfaces-ui-misc-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.input</groupId>
      <artifactId>richfaces-ui-input-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.input</groupId>
      <artifactId>richfaces-ui-input-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.validator</groupId>
      <artifactId>richfaces-ui-validator-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.validator</groupId>
      <artifactId>richfaces-ui-validator-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.dnd</groupId>
      <artifactId>richfaces-ui-dnd-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui.dnd</groupId>
      <artifactId>richfaces-ui-dnd-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui</groupId>
      <artifactId>richfaces-components-api</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui</groupId>
      <artifactId>richfaces-components-ui</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>org.richfaces.ui</groupId>
      <artifactId>static-resources</artifactId>
      <version>4.1.0.20111101-M4</version>
        </dependency>
        <dependency>
      <groupId>javax.faces</groupId>
      <artifactId>javax.faces-api</artifactId>
      <version>2.1</version>
        </dependency>
        <dependency>
      <groupId>com.sun.faces</groupId>
      <artifactId>jsf-api</artifactId>
      <version>2.1.0</version>
        </dependency>
        <dependency>
      <groupId>org.glassfish</groupId>
      <artifactId>javax.faces</artifactId>
      <version>2.1.3</version>
        </dependency>
        <dependency>
      <groupId>org.jboss.spec.javax.faces</groupId>
      <artifactId>jboss-jsf-api_2.1_spec</artifactId>
      <version>2.0.0.Beta1</version>
        </dependency>
        <dependency>
      <groupId>com.sun.faces</groupId>
      <artifactId>jsf-impl</artifactId>
      <version>2.1.3-b02-jbossorg-2</version>
        </dependency>
        <dependency>
      <groupId>org.apache.myfaces.core</groupId>
      <artifactId>myfaces-api</artifactId>
      <version>2.1.1</version>
        </dependency>
        <dependency>
      <groupId>org.apache.myfaces.core</groupId>
      <artifactId>myfaces-impl</artifactId>
      <version>2.1.1</version>
        </dependency>
        <dependency>
      <groupId>javax.el</groupId>
      <artifactId>el-api</artifactId>
      <version>1.0</version>
        </dependency>
        <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>servlet-api</artifactId>
      <version>2.5</version>
        </dependency>
        <dependency>
      <groupId>org.jboss.spec.javax.servlet</groupId>
      <artifactId>jboss-servlet-api_3.0_spec</artifactId>
      <version>1.0.0.Final</version>
        </dependency>
        <dependency>
      <groupId>javax.servlet.jsp</groupId>
      <artifactId>jsp-api</artifactId>
      <version>2.1</version>
        </dependency>
        <dependency>
      <groupId>javax.servlet.jsp.jstl</groupId>
      <artifactId>jstl-api</artifactId>
      <version>1.2</version>
        </dependency>
        <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>r08</version>
        </dependency>
        <dependency>
      <groupId>javax.validation</groupId>
      <artifactId>validation-api</artifactId>
      <version>1.0.0.GA</version>
        </dependency>
        <dependency>
      <groupId>net.sourceforge.cssparser</groupId>
      <artifactId>cssparser</artifactId>
      <version>0.9.5</version>
        </dependency>
        <dependency>
      <groupId>opensymphony</groupId>
      <artifactId>oscache</artifactId>
      <version>2.3</version>
        </dependency>
        <dependency>
      <groupId>org.jboss.cache</groupId>
      <artifactId>jbosscache-core</artifactId>
      <version>3.2.5.GA</version>
        </dependency>
        <dependency>
      <groupId>net.sf.ehcache</groupId>
      <artifactId>ehcache</artifactId>
      <version>1.6.0</version>
        </dependency>
        <dependency>
      <groupId>org.atmosphere</groupId>
      <artifactId>atmosphere-runtime</artifactId>
      <version>0.8.0-RC1</version>
        </dependency>
        <dependency>
      <groupId>javax.jms</groupId>
      <artifactId>jms</artifactId>
      <version>1.1</version>
        </dependency>
      </dependencies>
        </dependencyManagement>
        <dependencies>
      <dependency>
        <groupId>org.richfaces.ui</groupId>
        <artifactId>richfaces-components-ui</artifactId>
        <version>4.1.0.20111101-M4</version>
        <scope>compile</scope>
      </dependency>
      <dependency>
        <groupId>org.richfaces.core</groupId>
        <artifactId>richfaces-core-impl</artifactId>
        <version>4.1.0.20111101-M4</version>
        <scope>compile</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.faces</groupId>
        <artifactId>jsf-api</artifactId>
        <version>2.1.0</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>com.sun.faces</groupId>
        <artifactId>jsf-impl</artifactId>
        <version>2.1.3-b02-jbossorg-2</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.jboss.spec.javax.servlet</groupId>
        <artifactId>jboss-servlet-api_3.0_spec</artifactId>
        <version>1.0.0.Final</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>javax.servlet.jsp</groupId>
        <artifactId>jsp-api</artifactId>
        <version>2.1</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>javax.el</groupId>
        <artifactId>el-api</artifactId>
        <version>1.0</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.jboss.spec</groupId>
        <artifactId>jboss-javaee-6.0</artifactId>
        <version>2.0.0.Final</version>
        <type>pom</type>
        <scope>provided</scope>
        <exclusions>
      <exclusion>
        <artifactId>jstl</artifactId>
        <groupId>javax.servlet</groupId>
      </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>javax.servlet.jsp.jstl</groupId>
        <artifactId>jstl-api</artifactId>
        <version>1.2</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.hibernate</groupId>
        <artifactId>hibernate-jpamodelgen</artifactId>
        <version>1.1.1.Final</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.hibernate</groupId>
        <artifactId>hibernate-annotations</artifactId>
        <version>3.2.0.ga</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.hibernate</groupId>
        <artifactId>hibernate-core</artifactId>
        <version>4.0.0.CR6</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.hibernate</groupId>
        <artifactId>hibernate-search</artifactId>
        <version>4.0.0.CR2</version>
        <scope>compile</scope>
      </dependency>
      <dependency>
        <groupId>commons-validator</groupId>
        <artifactId>commons-validator</artifactId>
        <version>1.3.1</version>
        <scope>compile</scope>
        <exclusions>
      <exclusion>
        <artifactId>commons-logging</artifactId>
        <groupId>commons-logging</groupId>
      </exclusion>
      <exclusion>
        <artifactId>commons-digester</artifactId>
        <groupId>commons-digester</groupId>
      </exclusion>
      <exclusion>
        <artifactId>commons-beanutils</artifactId>
        <groupId>commons-beanutils</groupId>
      </exclusion>
      <exclusion>
        <artifactId>commons-collections</artifactId>
        <groupId>commons-collections</groupId>
      </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>oro</groupId>
        <artifactId>oro</artifactId>
        <version>2.0.8</version>
        <scope>compile</scope>
      </dependency>
      <dependency>
        <groupId>commons-logging</groupId>
        <artifactId>commons-logging</artifactId>
        <version>1.1</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.apache.httpcomponents</groupId>
        <artifactId>httpclient</artifactId>
        <version>4.1.2</version>
        <scope>compile</scope>
      </dependency>
      <dependency>
        <groupId>com.ocpsoft</groupId>
        <artifactId>prettyfaces-jsf2</artifactId>
        <version>3.3.2</version>
        <scope>compile</scope>
      </dependency>
        </dependencies>
      
      

       

      Thanks